import Request from '../common/request.js';
let request = new Request().http

 export function getTestList(data) {
 	 return request('/app/test/getTestList',data,'GET');
 }
 export function getTestDetails(data) {
 	 return request('/app/test/getTestDetails',data,'GET');
 }
 
 export function getTestTempDetails(data) {
 	 return request('/app/test/getTestTempDetails',data,'GET');
 }
 export function getTestReport(data) {
 	 return request('/app/test/getTestReport',data,'GET');
 }
 export function getTestReportImg(data) {
 	 return request('/app/test/getTestReportImg',data,'GET');
 }
 export function doReport(data) {
  	return request('/app/test/doReport',data,'POST','application/json;charset=UTF-8');
 }
 
  //语音接口
  export function addVoicePrintUrl(data) {
  	 return request('/companyapp/app/companyUser/addVoicePrintUrl',data,'POST','application/json;charset=UTF-8');
  }
  //  模板语音上传接口
  export function companyUserVoiceNew(data) {
  	 return request('/companyapp/app/companyUser/companyUserVoiceNew',data,'GET','application/json;charset=UTF-8');
  }
  // 模板语音上传接口
  export function companyUserVoice(data) {
  	 return request('/companyapp/app/companyUser/companyUserVoice',data,'GET','application/json;charset=UTF-8');
  }
  // 获取语音列表
  export function querySopVoiceList(data) {
  	 return request('/companyapp/app/companyUser/querySopVoiceList',data,'GET','application/json;charset=UTF-8');
  }
  // 获取语音详情
  export function queryDetail(id) {
  	 return request('/companyapp/app/companyUser/query/'+id,null,'GET','application/json;charset=UTF-8');
  }
   
  export function createUserAllVoice(id) {
  	 return request('/companyapp/app/companyUser/createUserAllVoice',null,'GET','application/json;charset=UTF-8');
  }
  